BUILD-RDEPS.DE(1)

BEZEICHNUNG
build-rdeps - findet Pakete, die von einem speziellen Paket zum Bau abhängen (umgekehrte Bauabhängigkeit)

ÜBERSICHT
build-rdeps Paket

BESCHREIBUNG
build-rdeps sucht nach allen Paketen, die eine Bauabhängigkeit zum angegebenen Paket haben.

Das Standardverhalten ist nur per »grep« nach der angegebenen Abhängigkeit im Feld Build-Depends von APTs Sources-Dateien zu suchen.

Falls das Paket dose-extra >= 4.0 installiert ist, wird eine komplettere Berechnung von umgekehrten Abhängigkeiten durchgeführt. Insbesondere werden, wenn dieses Paket installiert ist, Build-rdeps transitive umgekehrte Abhängigkeiten finden. Es werden Architektur- und Bauprofilbeschränkungen beachtet, Provides-Beziehungen, Conflicts, Pre-Depends, Build-Depends-Arch und Abhängigkeiten, bei denen die Version berücksichtigt wird, in Betracht gezogen und Multiarch-Beziehungen für das Crossbuild umgekehrter Abhängigkeiten korrekt aufgelöst. (Dies läuft aufgrund der Komplexität der Paketwechselwirkungen tendenziell langsam ab.)

OPTIONEN

-u, --update
    führt vor der Suche nach Bauabhängigkeiten »apt-get update« aus.

-s, --sudo
    benutzt Sudo, wenn »apt-get update« ausgeführt wird. Hat keine Auswirkungen, falls -u weggelassen wird.

--distribution
    wählt eine andere Distribution, in der nach Bauabhängigkeiten gesucht wird.

--only-main
    Ignore contrib, non-free and non-free-firmware.

--only-devel
    Consider only development distributions (e.g. unstable, sid).

--exclude-component
    Ignore the given component (e.g. main, contrib, non-free, non-free-firmware).

--origin
    begrenzt die Suche einzig auf den angegebenen Ursprung (wie »Debian).

-m, --print-maintainer
    gibt den Wert des Feldes »maintainer« für jedes Paket aus.

--host-arch
    setzt explizit die Rechnerarchitektur. Voreingestellt ist der Wert von »dpkg-architecture -qDEB_HOST_ARCH«. Diese Option funktioniert nur, wenn dose-extra >= 4.0 installiert ist.

--build-arch
    setzt explizit die Bauarchitektur. Voreingestellt ist der Wert von »dpkg-architecture -qDEB_BUILD_ARCH«. Diese Option funktioniert nur, wenn dose-extra >= 4.0 installiert ist.

--no-arch-all, --no-arch-any>
    Ignore Build-Depends-Indep or Build-Depends-Arch while looking for reverse dependencies.

--old
    erzwingt das alte einfache Verhalten ohne Dose-ceve-Unterstützung selbst dann, wenn dose-extra >= 4.0 installiert ist. (Dies ist tendenziell schneller.)

    Beachten Sie, dass das alte Verhalten nur direkte Abhängigkeiten findet, virtuelle Abhängigkeiten ignoriert, keine transitiven Abhängigkeiten findet und keine Versionsbeziehungen, Architekturbeschränkungen, Bauprofile oder Multiarch-Beziehungen berücksichtigt.

-q, --quiet
    gibt keine Meta-Informationen (Kopfzeilen, Zähler) aus. Vereinfacht die Verwendung in Skripten.

-d, --debug
    führt den Fehlersuchmodus aus.

--help
    zeigt die Aufrufinformationen.

--version
    zeigt die Versionsinformationen.

ANFORDERUNGEN
The tool requires apt Sources files to be around for the checked components. In the default case this means that in /var/lib/apt/lists files need to be around for main, contrib, non-free and non-free-firmware.

In der Praxis bedeutet das, dass eine »deb-src«-Zeile für jede Komponente hinzugefügt wird, z.B.

deb-src http://<mirror>/debian <dist> main contrib non-free non-free-firmware

und hinterher »apt-get update« ausgeführt wird oder die Verwendung der Option »update« für dieses Werkzeug nötig ist.

LIZENZ
Dieser Code steht unter dem Copyright von Patrick Schoenfeld <schoenfeld@debian.org>, alle Rechte vorbehalten. Dieses Programm bringt ABSOLUT KEINE GEWÄHRLEISTUNG mit. Sie haben die Freiheit, diesen Code unter den Bedingungen der GNU General Public License, Version 2 oder später, weiterzugeben.

AUTOR
Patrick Schoenfeld <schoenfeld@debian.org>